--- title: "Credit Card Masking Config" slug: "server-api-global-setting-credit-card-masking-config" updated: 2022-06-16T08:17:03Z published: 2022-06-16T08:17:03Z canonical: "developer.comm100.com/server-api-global-setting-credit-card-masking-config" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Credit Card Masking Config ## Credit Card Masking Config - `Credit Card Masking Config` - Credit Card Masking Config Manage - `GET global/creditCardMaskingConfig` - [Get a single Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#get-a-single-credit-card-masking-config) - `POST global/creditCardMaskingConfig:disable` - [Disable the Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#disable-the-credit-card-masking-config) - `POST global/creditCardMaskingConfig:enable` - [Enable the Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#enable-the-credit-card-masking-config) - `PUT global/creditCardMaskingConfig` - [Update the Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#update-the-credit-card-masking-config) - `DELETE global/creditCardMaskingConfig` - [Remove the Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#remove-the-credit-card-masking-config) ### Credit Card Masking Config JSON Format Credit Card Masking Config is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `siteId` | integer | Id of the site. | | `isEnabled` | bool | Whether Credit Card Masking is enabled or not. | ### Get a single Credit Card Masking Config `GET global/creditCardMaskingConfig` - #### Parameters: No Parameters - #### Response: [Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#credit-card-masking-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/creditCardMaskingConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "siteId": 10000, "isEnabled": false } ``` ### Disable the Credit Card Masking Config `POST global/creditCardMaskingConfig:disable` - #### Parameters: No Parameters - #### Response: [Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#credit-card-masking-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/creditCardMaskingConfig:disable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "siteId": 10000, "isEnabled": false } ``` ### Enable the Credit Card Masking Config `POST global/creditCardMaskingConfig:enable` - #### Parameters: No Parameters - #### Response: [Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#credit-card-masking-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/creditCardMaskingConfig:enable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "siteId": 10000, "isEnabled": true } ``` ### Update the Credit Card Masking Config `PUT global/creditCardMaskingConfig` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `isEnabled` | bool | body | no | Whether Credit Card Masking is enabled or not. | - #### Response: [Credit Card Masking Config](/docs/server-api-global-setting-credit-card-masking-config#credit-card-masking-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/creditCardMaskingConfig \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"isEnabled":false}' ``` Response: HTTP/1.1 200 OK ``` { "siteId": 10000, "isEnabled": false } ``` ### Remove the Credit Card Masking Config `DELETE global/creditCardMaskingConfig` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/creditCardMaskingConfig \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content